@font-face {
    font-family: 'Roboto Extra Light';
    src: url('../../resources/fonts/Roboto-ExtraLight.woff2') format('woff2'),
        url('../../resources/fonts/Roboto-ExtraLight.woff') format('woff'),
        url('../../resources/fonts/Roboto-ExtraLight.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto Thin';
    src: url('../../resources/fonts/Roboto-Thin.woff2') format('woff2'),
        url('../../resources/fonts/Roboto-Thin.woff') format('woff'),
        url('../../resources/fonts/Roboto-Thin.ttf') format('truetype');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto Regular';
    src: url('../../resources/fonts/Roboto-Regular.woff2') format('woff2'),
        url('../../resources/fonts/Roboto-Regular.woff') format('woff'),
        url('../../resources/fonts/Roboto-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto Light';
    src: url('../../resources/fonts/Roboto-Light.woff2') format('woff2'),
        url('../../resources/fonts/Roboto-Light.woff') format('woff'),
        url('../../resources/fonts/Roboto-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}


body{
        font-family: 'Roboto Regular';
      }
      a{
        text-decoration: none;
      }
      .ab{
        color: #222222;
        font-size: 15px;
        border-radius: 50px;
      } 
      .ab1{
        color: #222222;
        font-size: 13.5px;
        border-radius: 0px;
      }
      .ab2{
        color: #222222;
        font-size: 13.5px;
        border-radius: 10px;
        background-color: #F5F5F5;
      }
      .ab:hover{
        background-color: #8478FF;
        color: white;
        border-radius: 50px;
      }
      .ab1:hover{
        background-color: #8478FF;
        color: white;
        border-radius: 0px;
      }
      .ab2:hover{
        background-color: #222222;
        color: white;
        border-radius: 10px;
      }
      option{
        font-family: "Roboto Regular";
      }
      .by:hover{
        background-color: #8478FF;
        color: #F5F5F5;
      }
      button.active{
        background-color: #8478FF;
        color: white;
        border-radius: 10px;
      }
      .card {
        border-radius: 15px;
        border: 1px solid rgb(232, 232, 232);
      }
      .card-img-top {
        width: 90%;
        align-self: center;
        transition: transform 0.5s ease;
      }
      .card:hover{
        box-shadow: 0 6px 12px rgba(0, 0, 0, 0.09);
        cursor: pointer;
      }
      .card:hover .card-img-top {
        transform: scale(1.15); 
      }
    .thumbnail {
      width: 60px;
      height: 60px;
      object-fit: cover;
      margin-right: 10px;
      cursor: pointer;
      border-radius: 5px;
      box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    }
    .thumbnail:hover{
      box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    }
    .main-image {
      width: 100%;
      max-height: 400px;
      object-fit: contain;
      cursor: zoom-in;
      border-radius: 12px;
    }
    .ft li p{
        color:#222222;
        font-size: 12px;
    }
      .ft a{
        color:#F5F5F5;
        font-size: 13px;
        font-family: 'Roboto Light';
      }
      .ft a:hover{
        text-decoration: underline;
      }
      .ft1{
        display: flex; 
        justify-content: space-between;
      }
      .ft1 p{
        color:#222222;
        font-size: 12px;
      }
      span, label{
        font-size: 14px;
      }
      #imageModal.hidden {
        display: none;
      }
      #imageModal {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 1.1);
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 1000;
      }
      #modalImage {
        max-width: 90%;
        max-height: 90%;
        border-radius: 10px;
      }
      .close-btn {
        position: absolute;
        top: 20px;
        right: 30px;
        color: white;
        font-size: 3rem;
        font-weight: bold;
        cursor: pointer;
        z-index: 1001;
      }
      .close-btn:hover{
        color: red;
      }